## ksnip 1.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(ksnip LANGUAGES CXX VERSION 1.9.1)
+project(ksnip LANGUAGES CXX VERSION 1.9.2)
 
 if (DEFINED VERSION_SUFIX AND NOT "${VERSION_SUFIX}" STREQUAL "")
 	set(KSNIP_VERSION_SUFIX "-${VERSION_SUFIX}")
@@ -60,10 +60,10 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED ${QT_COMPONENTS})
 
-set(KIMAGEANNOTATOR_MIN_VERSION "0.5.2")
+set(KIMAGEANNOTATOR_MIN_VERSION 0.5.3)
 find_package(kImageAnnotator ${KIMAGEANNOTATOR_MIN_VERSION} REQUIRED)
 
-set(KCOLORPICKER_MIN_VERSION "0.1.6")
+set(KCOLORPICKER_MIN_VERSION 0.1.6)
 find_package(kColorPicker ${KCOLORPICKER_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_SOURCE_DIR}")
