=== debian/changelog ===
ksnip (1.9.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use canonical URL in Vcs-Browser.

  [ Boyuan Yang ]
  * New upstream release 1.9.2.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Tighten version requirement for kimageannotator.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 15:52:26 -0500
