=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: ksnip
 Section: graphics
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Boyuan Yang <byang@debian.org>
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 13),
  qtbase5-dev,
@@ -11,7 +10,7 @@
  cmake,
  extra-cmake-modules,
  libqt5x11extras5-dev,
- libkimageannotator-dev (>= 0.5.0~),
+ libkimageannotator-dev (>= 0.5.3~),
  libkcolorpicker-dev (>= 0.1.6),
  libqt5svg5-dev,
  libx11-dev,
@@ -19,7 +18,7 @@
 Rules-Requires-Root: no
 Homepage: https://github.com/ksnip/ksnip
 Vcs-Git: https://salsa.debian.org/debian/ksnip.git
-Vcs-Browser: https://salsa.debian.org/debian/ksnip.git
+Vcs-Browser: https://salsa.debian.org/debian/ksnip
 
 Package: ksnip
 Architecture: any
