## ksnip 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(ksnip LANGUAGES CXX VERSION 1.9.2)
+project(ksnip LANGUAGES CXX VERSION 1.10.0)
 
 if (DEFINED VERSION_SUFIX AND NOT "${VERSION_SUFIX}" STREQUAL "")
 	set(KSNIP_VERSION_SUFIX "-${VERSION_SUFIX}")
@@ -60,10 +60,10 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED ${QT_COMPONENTS})
 
-set(KIMAGEANNOTATOR_MIN_VERSION 0.5.3)
+set(KIMAGEANNOTATOR_MIN_VERSION 0.6.0)
 find_package(kImageAnnotator ${KIMAGEANNOTATOR_MIN_VERSION} REQUIRED)
 
-set(KCOLORPICKER_MIN_VERSION 0.1.6)
+set(KCOLORPICKER_MIN_VERSION 0.2.0)
 find_package(kColorPicker ${KCOLORPICKER_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_SOURCE_DIR}")
@@ -76,6 +76,5 @@
 if (BUILD_TESTS)
 	configure_file(src/BuildConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/tests/BuildConfig.h)
 
-	enable_testing()
 	add_subdirectory(tests)
 endif (BUILD_TESTS)
