=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 set(KSNIP_LANG_TS
 	ksnip_ar.ts
 	ksnip_bn_BD.ts
+	ksnip_ca.ts
 	ksnip_cs.ts
 	ksnip_da.ts
 	ksnip_de.ts
@@ -28,10 +29,12 @@
 	ksnip_ro.ts
 	ksnip_ru.ts
 	ksnip_si.ts
+	ksnip_sl.ts
 	ksnip_sv.ts
 	ksnip_tr.ts
 	ksnip_uk.ts
-	ksnip_zh_CN.ts)
+	ksnip_zh_CN.ts
+	ksnip_zh_Hant.ts)
 
 if (DEFINED UPDATE_TS_FILES)
 	qt5_create_translation(KSNIP_LANG_QM ${CMAKE_SOURCE_DIR}/translations ${KSNIP_SRCS} ${KSNIP_LANG_TS} OPTIONS "-no-obsolete")
