=== debian/changelog ===
ksnip (1.10.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 May 2022 00:04:14 -0400

ksnip (1.10.0-1~exp1) experimental; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Mon, 23 May 2022 16:09:01 -0400
