=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Boyuan Yang <byang@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  qtbase5-dev,
@@ -10,8 +10,8 @@
  cmake,
  extra-cmake-modules,
  libqt5x11extras5-dev,
- libkimageannotator-dev (>= 0.5.3~),
- libkcolorpicker-dev (>= 0.1.6),
+ libkimageannotator-dev (>= 0.6.0~),
+ libkcolorpicker-dev (>= 0.2.0~),
  libqt5svg5-dev,
  libx11-dev,
  libxcb-xfixes0-dev,
