## ksnip 1.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(ksnip LANGUAGES CXX VERSION 1.10.0)
+project(ksnip LANGUAGES CXX VERSION 1.10.1)
 
 if (DEFINED VERSION_SUFIX AND NOT "${VERSION_SUFIX}" STREQUAL "")
 	set(KSNIP_VERSION_SUFIX "-${VERSION_SUFIX}")
@@ -60,7 +60,7 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED ${QT_COMPONENTS})
 
-set(KIMAGEANNOTATOR_MIN_VERSION 0.6.0)
+set(KIMAGEANNOTATOR_MIN_VERSION 0.6.1)
 find_package(kImageAnnotator ${KIMAGEANNOTATOR_MIN_VERSION} REQUIRED)
 
 set(KCOLORPICKER_MIN_VERSION 0.2.0)
