=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ksnip
 Section: graphics
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  qtbase5-dev,
@@ -10,7 +11,7 @@
  cmake,
  extra-cmake-modules,
  libqt5x11extras5-dev,
- libkimageannotator-dev (>= 0.6.0~),
+ libkimageannotator-dev (>= 0.6.1~),
  libkcolorpicker-dev (>= 0.2.0~),
  libqt5svg5-dev,
  libx11-dev,
