## ksnip 1.10.1%2Bgit20251223

=== debian/changelog ===
ksnip (1.10.1+git20251223-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Dec 2025 15:29:11 -0500

ksnip (1.10.1+git20240308-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 May 2024 14:52:08 -0400

ksnip (1.10.1+git20240308-1~exp2) experimental; urgency=medium

  * debian/control: Put package under Debian KDE Extras Team maintenance.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Apr 2024 22:09:30 -0400

ksnip (1.10.1+git20240308-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
    + Support split Qt5/Qt6 libkcolorpicker/libkimageannotator libraries.
    + Still build-depends on Qt5 for now.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Mar 2024 16:46:05 -0400
