## ksnip 1.10.1%2bgit20260202

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -37,23 +37,27 @@
 add_library(KSNIP_STATIC ${KSNIP_SRCS})
 
 target_link_libraries(KSNIP_STATIC
-	Qt5::Widgets
-	Qt5::Network
-	Qt5::Xml
-	Qt5::PrintSupport
+	Qt${QT_MAJOR_VERSION}::Widgets
+	Qt${QT_MAJOR_VERSION}::Network
+	Qt${QT_MAJOR_VERSION}::Xml
+	Qt${QT_MAJOR_VERSION}::PrintSupport
 	kImageAnnotator::kImageAnnotator
 	kColorPicker::kColorPicker
-	Qt5::Svg
+	Qt${QT_MAJOR_VERSION}::Svg
 	)
 
 if (APPLE)
 	target_link_libraries(KSNIP_STATIC "-framework CoreGraphics")
 elseif (UNIX)
 	target_link_libraries(KSNIP_STATIC
-		Qt5::DBus
-		Qt5::X11Extras
+		Qt${QT_MAJOR_VERSION}::DBus
 		XCB::XFIXES
 		)
+	if (BUILD_WITH_QT6)
+		target_link_libraries(KSNIP_STATIC Qt6::GuiPrivate)
+	elseif (UNIX AND NOT APPLE)
+		target_link_libraries(KSNIP_STATIC Qt5::X11Extras)
+	endif()
 
 	# X11::X11 imported target only available with sufficiently new CMake
 	if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.14.0)
@@ -65,7 +69,7 @@
 	target_compile_definitions(KSNIP_STATIC PUBLIC UNIX_X11)
 elseif(WIN32)
 	target_link_libraries(KSNIP_STATIC
-		Qt5::WinExtras
+		Qt${QT_MAJOR_VERSION}::WinExtras
 		Dwmapi
 		)
 endif ()
@@ -73,6 +77,6 @@
 foreach (UnitTest ${UNITTEST_SRC})
 	get_filename_component(UnitTestName ${UnitTest} NAME_WE)
 	add_executable(${UnitTestName} ${UnitTest} ${TESTUTILS_SRC})
-	target_link_libraries(${UnitTestName} KSNIP_STATIC GTest::gmock Qt5::Test)
+	target_link_libraries(${UnitTestName} KSNIP_STATIC GTest::gmock Qt${QT_MAJOR_VERSION}::Test)
 	add_test(${UnitTestName} ${UnitTestName})
 endforeach (UnitTest)
